
--The folder name is defined in conf.lua with t.identity

function love.load()
  --Check if a save file already exists
  if not love.filesystem.exists("clicks.sav") then
    --If not, then create a new one.
    handle = love.filesystem.newFile("clicks.sav")
    handle:open('w')
    handle:write(0)
    handle:close()
  end
  --Load the save file state
  handle = love.filesystem.newFile("clicks.sav")
  clicks = handle:read()
  handle:close()
end

function love.mousepressed(x,y, b)
  if b == "l" then
    clicks = clicks+1
  end
end

function love.draw()
  love.graphics.print(clicks,0,0)
end

function love.quit()
  --Before quitting, save the new information to the savefile.
  file = love.filesystem.newFile("clicks.sav")
  file:open('w')
  file:write(clicks)
  file:close()
end

